@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

:root {
    --left-bg-color: rgba(87, 84, 200, 0.7);
    --right-bg-color: rgba(43, 43, 43, 0.8);
    --left-btn-hover-color: rgb(255, 255, 255);
    --right-btn-hover-color: rgba(28, 122, 28, 1);
    --hover-width: 70%;
    --other-width: 30%;
}

*{
    box-sizing: border-box;
}

body {
    font-family: 'Roboto', sans-serif;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

h1 {
    font-size: 4rem;
    color: white;
    position: absolute;
    left: 50%;
    top: 20%;
    transform: translateX(-50%); /* centers text within the split container instead of entire page */
    white-space: nowrap;
}

.btn {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translateX(-50%);
    text-decoration: none;
    color: white;
    border: white solid 0.2rem;
    font-size: 1rem;
    font-weight: bold;
    text-transform: uppercase;
    width: 15rem;
    padding: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;

}

.split.left .btn:hover {
    color: black;
    background-color: var(--left-btn-hover-color);
    border-color: var(--left-btn-hover-color);
    border-radius: 20px;
    transition: 0.5s;
}

.split.right .btn:hover {
    background-color: var(--right-btn-hover-color);
    border-color: var(--right-btn-hover-color);
    border-radius: 20px;
    transition: 0.5s;
}

.container {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: #333;
}

.split {
    position: absolute;
    width: 50%;
    height: 100%;
    overflow: hidden;
  }

.split.left {
    left: 0;
    background: url('ps5.png');
    background-repeat: no-repeat;
    background-size: cover;
}

.split.left::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: var(--left-bg-color);
}

.split.right::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: var(--right-bg-color);
}

.split.right {
    right: 0;
    background: url(ps5.png);
    background-repeat: no-repeat;
    background-size: cover;
}

.hover-left .left {
    width: var(--hover-width);
    transition: 1s;
}

.hover-left .right {
    width: var(--other-width);
    transition: 1s;
}

.hover-right .right {
    width: var(--hover-width);
    transition: 1s;
}

.hover-right .left {
    width: var(--other-width);
    transition: 1s;
}